Subject: Re: bug#42522: Emacs 27: 100% CPU when setting mode-name with ligatures

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Aug 2020 17:18:15 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Cc: Evan Moses <[email-masked]>,  [email-masked]
>> Date: Sat, 25 Jul 2020 19:22:19 +0200
>>
>>     Eli> It doesn't hang here.  Could this be macOS-specific?  Or maybe the
>>     Eli> problem happens only with some fonts?  Does it happen in "emacs -Q"?
>>
>> I see this on macOS with -Q, which uses Menlo, but only with emacs-27,
>> not master.. I do see an 'Attempt to shape unibyte text' message from
>> emacs-27
>
> Then I guess the problem is already solved on master.

Evan, could you please try this on the current master branch?

Best regards,
Stefan Kangas